Package org.pgpainless.signature.subpackets

# Class SignatureSubpackets

java.lang.Object
org.pgpainless.signature.subpackets.SignatureSubpackets

All Implemented Interfaces:
  `BaseSignatureSubpackets`, `CertificationSubpackets`, `RevocationSignatureSubpackets`, `SelfSignatureSubpackets`

public class SignatureSubpackets extends Object implements BaseSignatureSubpackets, SelfSignatureSubpackets, CertificationSubpackets, RevocationSignatureSubpackets

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`SignatureSubpackets.Callback`

## Constructor Summary

Constructors
Constructor
Description
`SignatureSubpackets()`

## Method Summary

Modifier and Type
Method
Description
`SignatureSubpackets`
`addEmbeddedSignature(boolean isCritical, org.bouncycastle.openpgp.PGPSignature signature)`
`SignatureSubpackets`
`addEmbeddedSignature(org.bouncycastle.bcpg.sig.EmbeddedSignature embeddedSignature)`
`SignatureSubpackets`
`addEmbeddedSignature(org.bouncycastle.openpgp.PGPSignature signature)`
`SignatureSubpackets`
`addIntendedRecipientFingerprint(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey recipient)`
`SignatureSubpackets`
`addIntendedRecipientFingerprint(org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint intendedRecipientFingerprint)`
`SignatureSubpackets`
`addIntendedRecipientFingerprint(org.bouncycastle.openpgp.PGPPublicKey recipient)`
`SignatureSubpackets`
`addNotationData(boolean isCritical, boolean isHumanReadable, String notationName, String notationValue)`
`SignatureSubpackets`
`addNotationData(boolean isCritical, String notationName, String notationValue)`
`SignatureSubpackets`
`addNotationData(org.bouncycastle.bcpg.sig.NotationData notationData)`
`SignatureSubpackets`
`addResidualSubpacket(org.bouncycastle.bcpg.SignatureSubpacket subpacket)`
`SignatureSubpackets`
`addRevocationKey(boolean isCritical, boolean isSensitive, org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SignatureSubpackets`
`addRevocationKey(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SignatureSubpackets`
`addRevocationKey(org.bouncycastle.bcpg.sig.RevocationKey revocationKey)`
`SignatureSubpackets`
`addRevocationKey(org.bouncycastle.openpgp.PGPPublicKey revocationKey)`
`SignatureSubpackets`
`clearEmbeddedSignatures()`
`SignatureSubpackets`
`clearIntendedRecipientFingerprints()`
`SignatureSubpackets`
`clearNotationData()`
`SignatureSubpackets`
`clearRevocationKeys()`
`static SignatureSubpackets`
`createEmptySubpackets()`
`static SignatureSubpackets`
`createHashedSubpackets(org.bouncycastle.openpgp.PGPPublicKey issuer)`
`static SignatureSubpackets`
`createHashedSubpacketsFrom(org.bouncycastle.openpgp.PGPPublicKey issuer, org.bouncycastle.openpgp.PGPSignatureSubpacketVector base)`
`static SignatureSubpackets`
`createSubpacketsFrom(org.bouncycastle.openpgp.PGPSignatureSubpacketVector base)`
`List<org.bouncycastle.bcpg.sig.EmbeddedSignature>`
`getEmbeddedSignatureSubpackets()`
`org.bouncycastle.bcpg.sig.Exportable`
`getExportableSubpacket()`
`org.bouncycastle.bcpg.sig.Features`
`getFeaturesSubpacket()`
`List<org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint>`
`getIntendedRecipientFingerprintSubpackets()`
`org.bouncycastle.bcpg.sig.IssuerFingerprint`
`getIssuerFingerprintSubpacket()`
`org.bouncycastle.bcpg.sig.IssuerKeyID`
`getIssuerKeyIdSubpacket()`
`org.bouncycastle.bcpg.sig.KeyExpirationTime`
`getKeyExpirationTimeSubpacket()`
`org.bouncycastle.bcpg.sig.KeyFlags`
`getKeyFlagsSubpacket()`
`List<org.bouncycastle.bcpg.sig.NotationData>`
`getNotationDataSubpackets()`
`org.bouncycastle.bcpg.sig.PolicyURI`
`getPolicyURI()`
`org.bouncycastle.bcpg.sig.PreferredAlgorithms`
`getPreferredCompressionAlgorithmsSubpacket()`
`org.bouncycastle.bcpg.sig.PreferredAlgorithms`
`getPreferredHashAlgorithmsSubpacket()`
`org.bouncycastle.bcpg.sig.PreferredAlgorithms`
`getPreferredSymmetricKeyAlgorithmsSubpacket()`
`org.bouncycastle.bcpg.sig.PrimaryUserID`
`getPrimaryUserIdSubpacket()`
`org.bouncycastle.bcpg.sig.RegularExpression`
`getRegularExpression()`
`List<org.bouncycastle.bcpg.SignatureSubpacket>`
`getResidualSubpackets()`
`org.bouncycastle.bcpg.sig.Revocable`
`getRevocableSubpacket()`
`List<org.bouncycastle.bcpg.sig.RevocationKey>`
`getRevocationKeySubpackets()`
`org.bouncycastle.bcpg.sig.RevocationReason`
`getRevocationReasonSubpacket()`
`org.bouncycastle.bcpg.sig.SignatureCreationTime`
`getSignatureCreationTimeSubpacket()`
`org.bouncycastle.bcpg.sig.SignatureExpirationTime`
`getSignatureExpirationTimeSubpacket()`
`org.bouncycastle.bcpg.sig.SignatureTarget`
`getSignatureTargetSubpacket()`
`org.bouncycastle.bcpg.sig.SignerUserID`
`getSignerUserIdSubpacket()`
`org.bouncycastle.bcpg.sig.TrustSignature`
`getTrustSubpacket()`
`static SignatureSubpackets`
`refreshHashedSubpackets(org.bouncycastle.openpgp.PGPPublicKey issuer, org.bouncycastle.openpgp.PGPSignature oldSignature)`
`static SignatureSubpackets`
`refreshUnhashedSubpackets(org.bouncycastle.openpgp.PGPSignature oldSignature)`
`SignatureSubpackets`
`setExportable(boolean exportable)`
`SignatureSubpackets`
`setExportable(boolean isCritical, boolean isExportable)`
`SignatureSubpackets`
`setExportable(org.bouncycastle.bcpg.sig.Exportable exportable)`
`SignatureSubpackets`
`setFeatures(boolean isCritical, Feature... features)`
`SignatureSubpackets`
`setFeatures(org.bouncycastle.bcpg.sig.Features features)`
`SignatureSubpackets`
`setFeatures(Feature... features)`
`SignatureSubpackets`
`setIssuerFingerprint(boolean isCritical, org.bouncycastle.openpgp.PGPPublicKey key)`
`SignatureSubpackets`
`setIssuerFingerprint(org.bouncycastle.bcpg.sig.IssuerFingerprint fingerprint)`
`SignatureSubpackets`
`setIssuerFingerprint(org.bouncycastle.openpgp.PGPPublicKey key)`
`SignatureSubpackets`
`setIssuerFingerprintAndKeyId(org.bouncycastle.openpgp.PGPPublicKey key)`
`SignatureSubpackets`
`setIssuerKeyId(boolean isCritical, long keyId)`
`SignatureSubpackets`
`setIssuerKeyId(long keyId)`
`SignatureSubpackets`
`setIssuerKeyId(org.bouncycastle.bcpg.sig.IssuerKeyID issuerKeyID)`
`SignatureSubpackets`
`setKeyExpirationTime(boolean isCritical, long secondsFromCreationToExpiration)`
`SignatureSubpackets`
`setKeyExpirationTime(boolean isCritical, Date keyCreationTime, Date keyExpirationTime)`
`SignatureSubpackets`
`setKeyExpirationTime(Date keyCreationTime, Date keyExpirationTime)`
`SignatureSubpackets`
`setKeyExpirationTime(org.bouncycastle.bcpg.sig.KeyExpirationTime keyExpirationTime)`
`SignatureSubpackets`
`setKeyExpirationTime(org.bouncycastle.openpgp.PGPPublicKey key, Date keyExpirationTime)`
`SignatureSubpackets`
`setKeyFlags(boolean isCritical, KeyFlag... keyFlags)`
`SignatureSubpackets`
`setKeyFlags(org.bouncycastle.bcpg.sig.KeyFlags keyFlags)`
`SignatureSubpackets`
`setKeyFlags(KeyFlag... keyFlags)`
`BaseSignatureSubpackets`
`setPolicyUrl(boolean isCritical, URL policyUrl)`
`BaseSignatureSubpackets`
`setPolicyUrl(URL policyUrl)`
`BaseSignatureSubpackets`
`setPolicyUrl(org.bouncycastle.bcpg.sig.PolicyURI policyUrl)`
`SignatureSubpackets`
`setPreferredCompressionAlgorithms(boolean isCritical, Set<CompressionAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredCompressionAlgorithms(Set<CompressionAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredCompressionAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SignatureSubpackets`
`setPreferredCompressionAlgorithms(CompressionAlgorithm... algorithms)`
`SignatureSubpackets`
`setPreferredHashAlgorithms(boolean isCritical, Set<HashAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredHashAlgorithms(Set<HashAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredHashAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SignatureSubpackets`
`setPreferredHashAlgorithms(HashAlgorithm... algorithms)`
`SignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(boolean isCritical, Set<SymmetricKeyAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(Set<SymmetricKeyAlgorithm> algorithms)`
`SignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)`
`SignatureSubpackets`
`setPreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... algorithms)`
`SignatureSubpackets`
`setPrimaryUserId()`
`SignatureSubpackets`
`setPrimaryUserId(boolean isCritical)`
`SignatureSubpackets`
`setPrimaryUserId(org.bouncycastle.bcpg.sig.PrimaryUserID primaryUserId)`
`BaseSignatureSubpackets`
`setRegularExpression(boolean isCritical, String regex)`
`BaseSignatureSubpackets`
`setRegularExpression(String regex)`
`BaseSignatureSubpackets`
`setRegularExpression(org.bouncycastle.bcpg.sig.RegularExpression regex)`
`SignatureSubpackets`
`setRevocable(boolean revocable)`
`SignatureSubpackets`
`setRevocable(boolean isCritical, boolean isRevocable)`
`SignatureSubpackets`
`setRevocable(org.bouncycastle.bcpg.sig.Revocable revocable)`
`SignatureSubpackets`
`setRevocationReason(boolean isCritical, RevocationAttributes revocationAttributes)`
`SignatureSubpackets`
`setRevocationReason(boolean isCritical, RevocationAttributes.Reason reason, String description)`
`SignatureSubpackets`
`setRevocationReason(org.bouncycastle.bcpg.sig.RevocationReason reason)`
`SignatureSubpackets`
`setRevocationReason(RevocationAttributes revocationAttributes)`
`SignatureSubpackets`
`setSignatureCreationTime(boolean isCritical, Date creationTime)`
`SignatureSubpackets`
`setSignatureCreationTime(Date creationTime)`
`SignatureSubpackets`
`setSignatureCreationTime(org.bouncycastle.bcpg.sig.SignatureCreationTime signatureCreationTime)`
`SignatureSubpackets`
`setSignatureExpirationTime(boolean isCritical, long seconds)`
`SignatureSubpackets`
`setSignatureExpirationTime(boolean isCritical, Date creationTime, Date expirationTime)`
`SignatureSubpackets`
`setSignatureExpirationTime(Date creationTime, Date expirationTime)`
`SignatureSubpackets`
`setSignatureExpirationTime(org.bouncycastle.bcpg.sig.SignatureExpirationTime expirationTime)`
`SignatureSubpackets`
`setSignatureTarget(boolean isCritical, PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm, byte[] hashData)`
`SignatureSubpackets`
`setSignatureTarget(org.bouncycastle.bcpg.sig.SignatureTarget signatureTarget)`
`SignatureSubpackets`
`setSignatureTarget(PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm, byte[] hashData)`
`SignatureSubpackets`
`setSignerUserId(boolean isCritical, String userId)`
`SignatureSubpackets`
`setSignerUserId(String userId)`
`SignatureSubpackets`
`setSignerUserId(org.bouncycastle.bcpg.sig.SignerUserID signerUserId)`
`SignatureSubpackets`
`setTrust(boolean isCritical, int depth, int amount)`
`SignatureSubpackets`
`setTrust(int depth, int amount)`
`SignatureSubpackets`
`setTrust(org.bouncycastle.bcpg.sig.TrustSignature trust)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pgpainless.signature.subpackets.SelfSignatureSubpackets

`setKeyFlags`

## Constructor Details

### SignatureSubpackets

public SignatureSubpackets()

## Method Details

### refreshHashedSubpackets

public static SignatureSubpackets refreshHashedSubpackets(org.bouncycastle.openpgp.PGPPublicKey issuer, org.bouncycastle.openpgp.PGPSignature oldSignature)

### refreshUnhashedSubpackets

public static SignatureSubpackets refreshUnhashedSubpackets(org.bouncycastle.openpgp.PGPSignature oldSignature)

### createHashedSubpacketsFrom

public static SignatureSubpackets createHashedSubpacketsFrom(org.bouncycastle.openpgp.PGPPublicKey issuer, org.bouncycastle.openpgp.PGPSignatureSubpacketVector base)

### createSubpacketsFrom

public static SignatureSubpackets createSubpacketsFrom(org.bouncycastle.openpgp.PGPSignatureSubpacketVector base)

### createHashedSubpackets

public static SignatureSubpackets createHashedSubpackets(org.bouncycastle.openpgp.PGPPublicKey issuer)

### createEmptySubpackets

public static SignatureSubpackets createEmptySubpackets()

### setIssuerFingerprintAndKeyId

public SignatureSubpackets setIssuerFingerprintAndKeyId(org.bouncycastle.openpgp.PGPPublicKey key)

Specified by:
  `setIssuerFingerprintAndKeyId` in interface `BaseSignatureSubpackets`

### setIssuerKeyId

public SignatureSubpackets setIssuerKeyId(long keyId)

Specified by:
  `setIssuerKeyId` in interface `BaseSignatureSubpackets`

### setIssuerKeyId

public SignatureSubpackets setIssuerKeyId(boolean isCritical, long keyId)

Specified by:
  `setIssuerKeyId` in interface `BaseSignatureSubpackets`

### setIssuerKeyId

public SignatureSubpackets setIssuerKeyId(@Nullable org.bouncycastle.bcpg.sig.IssuerKeyID issuerKeyID)

Specified by:
  `setIssuerKeyId` in interface `BaseSignatureSubpackets`

### getIssuerKeyIdSubpacket

public org.bouncycastle.bcpg.sig.IssuerKeyID getIssuerKeyIdSubpacket()

### setIssuerFingerprint

public SignatureSubpackets setIssuerFingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKey key)

Specified by:
  `setIssuerFingerprint` in interface `BaseSignatureSubpackets`

### setIssuerFingerprint

public SignatureSubpackets setIssuerFingerprint(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey key)

Specified by:
  `setIssuerFingerprint` in interface `BaseSignatureSubpackets`

### setIssuerFingerprint

public SignatureSubpackets setIssuerFingerprint(@Nullable org.bouncycastle.bcpg.sig.IssuerFingerprint fingerprint)

Specified by:
  `setIssuerFingerprint` in interface `BaseSignatureSubpackets`

### getIssuerFingerprintSubpacket

public org.bouncycastle.bcpg.sig.IssuerFingerprint getIssuerFingerprintSubpacket()

### setKeyFlags

public SignatureSubpackets setKeyFlags(KeyFlag... keyFlags)

Specified by:
  `setKeyFlags` in interface `SelfSignatureSubpackets`

### setKeyFlags

public SignatureSubpackets setKeyFlags(boolean isCritical, KeyFlag... keyFlags)

Specified by:
  `setKeyFlags` in interface `SelfSignatureSubpackets`

### setKeyFlags

public SignatureSubpackets setKeyFlags(@Nullable org.bouncycastle.bcpg.sig.KeyFlags keyFlags)

Specified by:
  `setKeyFlags` in interface `SelfSignatureSubpackets`

### getKeyFlagsSubpacket

public org.bouncycastle.bcpg.sig.KeyFlags getKeyFlagsSubpacket()

### setSignatureCreationTime

public SignatureSubpackets setSignatureCreationTime(@Nonnull Date creationTime)

Specified by:
  `setSignatureCreationTime` in interface `BaseSignatureSubpackets`

### setSignatureCreationTime

public SignatureSubpackets setSignatureCreationTime(boolean isCritical, @Nonnull Date creationTime)

Specified by:
  `setSignatureCreationTime` in interface `BaseSignatureSubpackets`

### setSignatureCreationTime

public SignatureSubpackets setSignatureCreationTime(@Nullable org.bouncycastle.bcpg.sig.SignatureCreationTime signatureCreationTime)

Specified by:
  `setSignatureCreationTime` in interface `BaseSignatureSubpackets`

### getSignatureCreationTimeSubpacket

public org.bouncycastle.bcpg.sig.SignatureCreationTime getSignatureCreationTimeSubpacket()

### setSignatureExpirationTime

public SignatureSubpackets setSignatureExpirationTime(@Nonnull Date creationTime, @Nonnull Date expirationTime)

Specified by:
  `setSignatureExpirationTime` in interface `BaseSignatureSubpackets`

### setSignatureExpirationTime

public SignatureSubpackets setSignatureExpirationTime(boolean isCritical, @Nonnull Date creationTime, @Nonnull Date expirationTime)

Specified by:
  `setSignatureExpirationTime` in interface `BaseSignatureSubpackets`

### setSignatureExpirationTime

public SignatureSubpackets setSignatureExpirationTime(boolean isCritical, long seconds)

Specified by:
  `setSignatureExpirationTime` in interface `BaseSignatureSubpackets`

### setSignatureExpirationTime

public SignatureSubpackets setSignatureExpirationTime(@Nullable org.bouncycastle.bcpg.sig.SignatureExpirationTime expirationTime)

Specified by:
  `setSignatureExpirationTime` in interface `BaseSignatureSubpackets`

### getSignatureExpirationTimeSubpacket

public org.bouncycastle.bcpg.sig.SignatureExpirationTime getSignatureExpirationTimeSubpacket()

### setSignerUserId

public SignatureSubpackets setSignerUserId(@Nonnull String userId)

Specified by:
  `setSignerUserId` in interface `BaseSignatureSubpackets`

### setSignerUserId

public SignatureSubpackets setSignerUserId(boolean isCritical, @Nonnull String userId)

Specified by:
  `setSignerUserId` in interface `BaseSignatureSubpackets`

### setSignerUserId

public SignatureSubpackets setSignerUserId(@Nullable org.bouncycastle.bcpg.sig.SignerUserID signerUserId)

Specified by:
  `setSignerUserId` in interface `BaseSignatureSubpackets`

### getSignerUserIdSubpacket

public org.bouncycastle.bcpg.sig.SignerUserID getSignerUserIdSubpacket()

### setPrimaryUserId

public SignatureSubpackets setPrimaryUserId()

Specified by:
  `setPrimaryUserId` in interface `SelfSignatureSubpackets`

### setPrimaryUserId

public SignatureSubpackets setPrimaryUserId(boolean isCritical)

Specified by:
  `setPrimaryUserId` in interface `SelfSignatureSubpackets`

### setPrimaryUserId

public SignatureSubpackets setPrimaryUserId(@Nullable org.bouncycastle.bcpg.sig.PrimaryUserID primaryUserId)

Specified by:
  `setPrimaryUserId` in interface `SelfSignatureSubpackets`

### getPrimaryUserIdSubpacket

public org.bouncycastle.bcpg.sig.PrimaryUserID getPrimaryUserIdSubpacket()

### setKeyExpirationTime

public SignatureSubpackets setKeyExpirationTime(@Nonnull org.bouncycastle.openpgp.PGPPublicKey key, @Nullable Date keyExpirationTime)

Specified by:
  `setKeyExpirationTime` in interface `SelfSignatureSubpackets`

### setKeyExpirationTime

public SignatureSubpackets setKeyExpirationTime(@Nonnull Date keyCreationTime, @Nullable Date keyExpirationTime)

Specified by:
  `setKeyExpirationTime` in interface `SelfSignatureSubpackets`

### setKeyExpirationTime

public SignatureSubpackets setKeyExpirationTime(boolean isCritical, @Nonnull Date keyCreationTime, @Nullable Date keyExpirationTime)

Specified by:
  `setKeyExpirationTime` in interface `SelfSignatureSubpackets`

### setKeyExpirationTime

public SignatureSubpackets setKeyExpirationTime(boolean isCritical, long secondsFromCreationToExpiration)

Specified by:
  `setKeyExpirationTime` in interface `SelfSignatureSubpackets`

### setKeyExpirationTime

public SignatureSubpackets setKeyExpirationTime(@Nullable org.bouncycastle.bcpg.sig.KeyExpirationTime keyExpirationTime)

Specified by:
  `setKeyExpirationTime` in interface `SelfSignatureSubpackets`

### getKeyExpirationTimeSubpacket

public org.bouncycastle.bcpg.sig.KeyExpirationTime getKeyExpirationTimeSubpacket()

### setPreferredCompressionAlgorithms

public SignatureSubpackets setPreferredCompressionAlgorithms(CompressionAlgorithm... algorithms)

Specified by:
  `setPreferredCompressionAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredCompressionAlgorithms

public SignatureSubpackets setPreferredCompressionAlgorithms(Set<CompressionAlgorithm> algorithms)

Specified by:
  `setPreferredCompressionAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredCompressionAlgorithms

public SignatureSubpackets setPreferredCompressionAlgorithms(boolean isCritical, Set<CompressionAlgorithm> algorithms)

Specified by:
  `setPreferredCompressionAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredCompressionAlgorithms

public SignatureSubpackets setPreferredCompressionAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

Specified by:
  `setPreferredCompressionAlgorithms` in interface `SelfSignatureSubpackets`

### getPreferredCompressionAlgorithmsSubpacket

public org.bouncycastle.bcpg.sig.PreferredAlgorithms getPreferredCompressionAlgorithmsSubpacket()

### setPreferredSymmetricKeyAlgorithms

public SignatureSubpackets setPreferredSymmetricKeyAlgorithms(SymmetricKeyAlgorithm... algorithms)

Specified by:
  `setPreferredSymmetricKeyAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredSymmetricKeyAlgorithms

public SignatureSubpackets setPreferredSymmetricKeyAlgorithms(Set<SymmetricKeyAlgorithm> algorithms)

Specified by:
  `setPreferredSymmetricKeyAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredSymmetricKeyAlgorithms

public SignatureSubpackets setPreferredSymmetricKeyAlgorithms(boolean isCritical, Set<SymmetricKeyAlgorithm> algorithms)

Specified by:
  `setPreferredSymmetricKeyAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredSymmetricKeyAlgorithms

public SignatureSubpackets setPreferredSymmetricKeyAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

Specified by:
  `setPreferredSymmetricKeyAlgorithms` in interface `SelfSignatureSubpackets`

### getPreferredSymmetricKeyAlgorithmsSubpacket

public org.bouncycastle.bcpg.sig.PreferredAlgorithms getPreferredSymmetricKeyAlgorithmsSubpacket()

### setPreferredHashAlgorithms

public SignatureSubpackets setPreferredHashAlgorithms(HashAlgorithm... algorithms)

Specified by:
  `setPreferredHashAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredHashAlgorithms

public SignatureSubpackets setPreferredHashAlgorithms(Set<HashAlgorithm> algorithms)

Specified by:
  `setPreferredHashAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredHashAlgorithms

public SignatureSubpackets setPreferredHashAlgorithms(boolean isCritical, Set<HashAlgorithm> algorithms)

Specified by:
  `setPreferredHashAlgorithms` in interface `SelfSignatureSubpackets`

### setPreferredHashAlgorithms

public SignatureSubpackets setPreferredHashAlgorithms(@Nullable org.bouncycastle.bcpg.sig.PreferredAlgorithms algorithms)

Specified by:
  `setPreferredHashAlgorithms` in interface `SelfSignatureSubpackets`

### getPreferredHashAlgorithmsSubpacket

public org.bouncycastle.bcpg.sig.PreferredAlgorithms getPreferredHashAlgorithmsSubpacket()

### addNotationData

public SignatureSubpackets addNotationData(boolean isCritical, @Nonnull String notationName, @Nonnull String notationValue)

Specified by:
  `addNotationData` in interface `BaseSignatureSubpackets`

### addNotationData

public SignatureSubpackets addNotationData(boolean isCritical, boolean isHumanReadable, @Nonnull String notationName, @Nonnull String notationValue)

Specified by:
  `addNotationData` in interface `BaseSignatureSubpackets`

### addNotationData

public SignatureSubpackets addNotationData(@Nonnull org.bouncycastle.bcpg.sig.NotationData notationData)

Specified by:
  `addNotationData` in interface `BaseSignatureSubpackets`

### clearNotationData

public SignatureSubpackets clearNotationData()

Specified by:
  `clearNotationData` in interface `BaseSignatureSubpackets`

### getNotationDataSubpackets

public List<org.bouncycastle.bcpg.sig.NotationData> getNotationDataSubpackets()

### addIntendedRecipientFingerprint

public SignatureSubpackets addIntendedRecipientFingerprint(@Nonnull org.bouncycastle.openpgp.PGPPublicKey recipient)

Specified by:
  `addIntendedRecipientFingerprint` in interface `BaseSignatureSubpackets`

### addIntendedRecipientFingerprint

public SignatureSubpackets addIntendedRecipientFingerprint(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey recipient)

Specified by:
  `addIntendedRecipientFingerprint` in interface `BaseSignatureSubpackets`

### addIntendedRecipientFingerprint

public SignatureSubpackets addIntendedRecipientFingerprint(org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint intendedRecipientFingerprint)

Specified by:
  `addIntendedRecipientFingerprint` in interface `BaseSignatureSubpackets`

### clearIntendedRecipientFingerprints

public SignatureSubpackets clearIntendedRecipientFingerprints()

Specified by:
  `clearIntendedRecipientFingerprints` in interface `BaseSignatureSubpackets`

### getIntendedRecipientFingerprintSubpackets

public List<org.bouncycastle.bcpg.sig.IntendedRecipientFingerprint> getIntendedRecipientFingerprintSubpackets()

### setExportable

public SignatureSubpackets setExportable(boolean exportable)

Specified by:
  `setExportable` in interface `BaseSignatureSubpackets`

### setExportable

public SignatureSubpackets setExportable(boolean isCritical, boolean isExportable)

Specified by:
  `setExportable` in interface `BaseSignatureSubpackets`

### setExportable

public SignatureSubpackets setExportable(@Nullable org.bouncycastle.bcpg.sig.Exportable exportable)

Specified by:
  `setExportable` in interface `BaseSignatureSubpackets`

### getExportableSubpacket

public org.bouncycastle.bcpg.sig.Exportable getExportableSubpacket()

### setPolicyUrl

public BaseSignatureSubpackets setPolicyUrl(@Nonnull URL policyUrl)

Specified by:
  `setPolicyUrl` in interface `BaseSignatureSubpackets`

### setPolicyUrl

public BaseSignatureSubpackets setPolicyUrl(boolean isCritical, @Nonnull URL policyUrl)

Specified by:
  `setPolicyUrl` in interface `BaseSignatureSubpackets`

### setPolicyUrl

public BaseSignatureSubpackets setPolicyUrl(@Nullable org.bouncycastle.bcpg.sig.PolicyURI policyUrl)

Specified by:
  `setPolicyUrl` in interface `BaseSignatureSubpackets`

### getPolicyURI

public org.bouncycastle.bcpg.sig.PolicyURI getPolicyURI()

### setRegularExpression

public BaseSignatureSubpackets setRegularExpression(@Nonnull String regex)

Specified by:
  `setRegularExpression` in interface `BaseSignatureSubpackets`

### setRegularExpression

public BaseSignatureSubpackets setRegularExpression(boolean isCritical, @Nonnull String regex)

Specified by:
  `setRegularExpression` in interface `BaseSignatureSubpackets`

### setRegularExpression

public BaseSignatureSubpackets setRegularExpression(@Nullable org.bouncycastle.bcpg.sig.RegularExpression regex)

Specified by:
  `setRegularExpression` in interface `BaseSignatureSubpackets`

### getRegularExpression

public org.bouncycastle.bcpg.sig.RegularExpression getRegularExpression()

### setRevocable

public SignatureSubpackets setRevocable(boolean revocable)

Specified by:
  `setRevocable` in interface `BaseSignatureSubpackets`

### setRevocable

public SignatureSubpackets setRevocable(boolean isCritical, boolean isRevocable)

Specified by:
  `setRevocable` in interface `BaseSignatureSubpackets`

### setRevocable

public SignatureSubpackets setRevocable(@Nullable org.bouncycastle.bcpg.sig.Revocable revocable)

Specified by:
  `setRevocable` in interface `BaseSignatureSubpackets`

### getRevocableSubpacket

public org.bouncycastle.bcpg.sig.Revocable getRevocableSubpacket()

### addRevocationKey

public SignatureSubpackets addRevocationKey(@Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

Specified by:
  `addRevocationKey` in interface `SelfSignatureSubpackets`

### addRevocationKey

public SignatureSubpackets addRevocationKey(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

Specified by:
  `addRevocationKey` in interface `SelfSignatureSubpackets`

### addRevocationKey

public SignatureSubpackets addRevocationKey(boolean isCritical, boolean isSensitive, @Nonnull org.bouncycastle.openpgp.PGPPublicKey revocationKey)

Specified by:
  `addRevocationKey` in interface `SelfSignatureSubpackets`

### addRevocationKey

public SignatureSubpackets addRevocationKey(@Nonnull org.bouncycastle.bcpg.sig.RevocationKey revocationKey)

Specified by:
  `addRevocationKey` in interface `SelfSignatureSubpackets`

### clearRevocationKeys

public SignatureSubpackets clearRevocationKeys()

Specified by:
  `clearRevocationKeys` in interface `SelfSignatureSubpackets`

### getRevocationKeySubpackets

public List<org.bouncycastle.bcpg.sig.RevocationKey> getRevocationKeySubpackets()

### setRevocationReason

public SignatureSubpackets setRevocationReason(RevocationAttributes revocationAttributes)

Specified by:
  `setRevocationReason` in interface `RevocationSignatureSubpackets`

### setRevocationReason

public SignatureSubpackets setRevocationReason(boolean isCritical, RevocationAttributes revocationAttributes)

Specified by:
  `setRevocationReason` in interface `RevocationSignatureSubpackets`

### setRevocationReason

public SignatureSubpackets setRevocationReason(boolean isCritical, RevocationAttributes.Reason reason, @Nonnull String description)

Specified by:
  `setRevocationReason` in interface `RevocationSignatureSubpackets`

### setRevocationReason

public SignatureSubpackets setRevocationReason(@Nullable org.bouncycastle.bcpg.sig.RevocationReason reason)

Specified by:
  `setRevocationReason` in interface `RevocationSignatureSubpackets`

### getRevocationReasonSubpacket

public org.bouncycastle.bcpg.sig.RevocationReason getRevocationReasonSubpacket()

### setSignatureTarget

public SignatureSubpackets setSignatureTarget(@Nonnull PublicKeyAlgorithm keyAlgorithm, @Nonnull HashAlgorithm hashAlgorithm, @Nonnull byte[] hashData)

Specified by:
  `setSignatureTarget` in interface `BaseSignatureSubpackets`

### setSignatureTarget

public SignatureSubpackets setSignatureTarget(boolean isCritical, @Nonnull PublicKeyAlgorithm keyAlgorithm, @Nonnull HashAlgorithm hashAlgorithm, @Nonnull byte[] hashData)

Specified by:
  `setSignatureTarget` in interface `BaseSignatureSubpackets`

### setSignatureTarget

public SignatureSubpackets setSignatureTarget(@Nullable org.bouncycastle.bcpg.sig.SignatureTarget signatureTarget)

Specified by:
  `setSignatureTarget` in interface `BaseSignatureSubpackets`

### getSignatureTargetSubpacket

public org.bouncycastle.bcpg.sig.SignatureTarget getSignatureTargetSubpacket()

### setFeatures

public SignatureSubpackets setFeatures(Feature... features)

Specified by:
  `setFeatures` in interface `SelfSignatureSubpackets`

### setFeatures

public SignatureSubpackets setFeatures(boolean isCritical, Feature... features)

Specified by:
  `setFeatures` in interface `SelfSignatureSubpackets`

### setFeatures

public SignatureSubpackets setFeatures(@Nullable org.bouncycastle.bcpg.sig.Features features)

Specified by:
  `setFeatures` in interface `SelfSignatureSubpackets`

### getFeaturesSubpacket

public org.bouncycastle.bcpg.sig.Features getFeaturesSubpacket()

### setTrust

public SignatureSubpackets setTrust(int depth, int amount)

Specified by:
  `setTrust` in interface `BaseSignatureSubpackets`

### setTrust

public SignatureSubpackets setTrust(boolean isCritical, int depth, int amount)

Specified by:
  `setTrust` in interface `BaseSignatureSubpackets`

### setTrust

public SignatureSubpackets setTrust(@Nullable org.bouncycastle.bcpg.sig.TrustSignature trust)

Specified by:
  `setTrust` in interface `BaseSignatureSubpackets`

### getTrustSubpacket

public org.bouncycastle.bcpg.sig.TrustSignature getTrustSubpacket()

### addEmbeddedSignature

public SignatureSubpackets addEmbeddedSignature(@Nonnull org.bouncycastle.openpgp.PGPSignature signature) throws IOException

Specified by:
  `addEmbeddedSignature` in interface `BaseSignatureSubpackets`
Throws:
  `IOException`

### addEmbeddedSignature

public SignatureSubpackets addEmbeddedSignature(boolean isCritical, @Nonnull org.bouncycastle.openpgp.PGPSignature signature) throws IOException

Specified by:
  `addEmbeddedSignature` in interface `BaseSignatureSubpackets`
Throws:
  `IOException`

### addEmbeddedSignature

public SignatureSubpackets addEmbeddedSignature(@Nonnull org.bouncycastle.bcpg.sig.EmbeddedSignature embeddedSignature)

Specified by:
  `addEmbeddedSignature` in interface `BaseSignatureSubpackets`

### clearEmbeddedSignatures

public SignatureSubpackets clearEmbeddedSignatures()

Specified by:
  `clearEmbeddedSignatures` in interface `BaseSignatureSubpackets`

### getEmbeddedSignatureSubpackets

public List<org.bouncycastle.bcpg.sig.EmbeddedSignature> getEmbeddedSignatureSubpackets()

### addResidualSubpacket

public SignatureSubpackets addResidualSubpacket(org.bouncycastle.bcpg.SignatureSubpacket subpacket)

### getResidualSubpackets

public List<org.bouncycastle.bcpg.SignatureSubpacket> getResidualSubpackets()